# =========================================================================== #
# Gemspec for Project StatFile.
# =========================================================================== #
require 'stat_file/version/version.rb'
require 'roebe'

Gem::Specification.new { |s|

  s.name    = 'stat_file'
  s.version = StatFile::VERSION
  s.date    = Time.now.strftime('%Y-%m-%d')
  
  s.summary = <<-EOF

    This library is called stat_file. It allows you to
    do basic stat functionality, like the Unix Tool.

  EOF
  
  s.description = <<-EOF

    This library is called stat_file. It allows you to
    do basic stat functionality, like the Unix Tool.

  EOF

  s.authors   = ['Robert A. Heiler']
  s.email     = Roebe.email?
  s.files     = Dir['**/*']
  s.license   = 'MIT'
  s.homepage  = 'https://rubygems.org/gems/stat_file'

  s.required_ruby_version     = '>= '+RUBY_VERSION
  s.required_rubygems_version = '>= '+Gem::VERSION
  s.rubygems_version          = '>= '+Gem::VERSION

  s.add_dependency 'opn'
  s.add_dependency 'colours'

}